apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: redpacket-server
  labels:
    name: redpacket-server
spec:
  replicas: 1
  template:
    metadata:
      name: redpacket-server
      labels:
        name: redpacket
    spec:
      containers:
        - name: "redpacket-server"
          image: "192.168.4.36/redpacket/redpacket:0.0.1-master-SNAPSHOT"
          ports:
            - containerPort: 8080
            - containerPort: 7031
          imagePullPolicy: Always
      imagePullSecrets:
        - name: k8s-to-harbor-secret